Package: org.codehaus.groovy.grails.compiler.web.async

## [Groovy] Class TransactionalAsyncTransformUtils

- org.codehaus.groovy.grails.compiler.web.async.TransactionalAsyncTransformUtils

- Utility methods for use by Async transformations

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static TransactionalPromiseDecorator` | `createTransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager, java.lang.reflect.Method method)` Creates a TransactionalPromiseDecorator for the given transactionManager and method to be invoked

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### static TransactionalPromiseDecorator createTransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager, java.lang.reflect.Method method)

      Creates a TransactionalPromiseDecorator for the given transactionManager and method to be invoked

      Parameters:
        `transactionManager` - The transactionManager
        `method` - The method
      Returns:
        A TransactionalPromiseDecorator